/**
 * @author luotao 2017-12-15
 */
import { IBO } from "./IBO";
/**
 * 分页过滤参数
 */
declare class PageFilter implements IBO {
    /**
     * 页码
     */
    pageIndex: number;
    /**
     * 每页数
     */
    pageSize: number;
    /**
     * 总条数
     */
    totalElements: number;
    /**
     * 总页数
     */
    totalPages: number;
    constructor(pageIndex?: number, pageSize?: number, totalElements?: number, totalPages?: number);
}
export { PageFilter };
