/**
 * @author luotao 2018-02-23
 */
/**
 * @backend ytd.framework.vo.ChildValue
 */
declare class ChildValueDTO<V = string, F = string> {
    static readonly className: string;
    value: V;
    fullValue: F;
    child: Array<ChildValueDTO<V, F>>;
    constructor(dto?: {
        value?: V | null;
        fullValue?: F | null;
        child?: Array<ChildValueDTO<V, F>> | null;
    } | null);
}
export { ChildValueDTO };
