/**
 * @author luotao 2017-12-08
 */
import { ValidationError } from "./ValidationError";
/**
 * @backend ytd.framework.dto.ErrorData
 */
declare class ErrorData {
    static readonly className: string;
    shortStack: string;
    /** 错误堆栈信息 */
    exStack: string;
    /** 错误消息 */
    errorMsg: string;
    /** 错误编码 */
    errorCode: string;
    /** 系统错误ID */
    systemErrorId: string;
    /** 表单验证错误 */
    validErrors: Array<ValidationError>;
    code: string;
    constructor(errorData?: {
        shortStack?: string | null;
        exStack?: string | null;
        errorMsg?: string | null;
        errorCode?: string | null;
        systemErrorId?: string | null;
        validErrors?: Array<ValidationError> | null;
        code?: string | null;
    } | null);
}
export { ErrorData };
