/**
 * @author luotao 2017-12-08
 */
/**
 * 分页
 * @backend ytd.framework.dto.PageDto
 */
declare class PageDTO<T> {
    static readonly className: string;
    /** 当前页码 */
    pageIndex: number;
    /** 每页数据条数 */
    pageSize: number;
    /** 总的页数 */
    totalPageCount: number;
    /** 总的数据条数 */
    totalRowCount: number;
    /** 该页数据列表 */
    data: Array<T>;
    constructor(dto?: {
        pageIndex?: number | null;
        pageSize?: number | null;
        totalPageCount?: number | null;
        totalRowCount?: number | null;
        data?: Array<T> | null;
    } | null);
}
export { PageDTO };
