/**
 * @author luotao 2017-12-16
 */
import { StatusEnum } from "../../../enum/index";
import { IdNameCodeNoteStatusDTO } from "../../index";
/**
 * 操作
 * @backend ytd.iam.admin.dto.ActionDto
 */
declare class ActionDTO extends IdNameCodeNoteStatusDTO {
    static readonly className: string;
    /** 序号 */
    order: number;
    /** 资源类型 */
    resourceType: number;
    /** 应用ID */
    appId: string;
    constructor(dto?: {
        id?: string | null;
        name?: string | null;
        code?: string | null;
        note?: string | null;
        status?: StatusEnum | null;
        order?: number | null;
        resourceType?: number | null;
        appId?: string | null;
    } | null);
}
export { ActionDTO };
