/**
 * @author luotao 2017-12-11
 */
import { AppAccountDTO } from "./AppAccountDTO";
import { RoleDTO } from "./RoleDTO";
/**
 * 应用账户角色
 * @backend ytd.iam.admin.dto.AppAccountRoleDto
 */
declare class AppAccountRoleDTO {
    static readonly className: string;
    /** 角色列表 */
    role: Array<RoleDTO>;
    /** 应用账户 */
    appAccount: AppAccountDTO;
    constructor(dto?: {
        role?: Array<RoleDTO> | null;
        appAccount?: AppAccountDTO | null;
    } | null);
    /**
     * @deprecated
     */
    static from(tb: AppAccountRoleDTO | null): AppAccountRoleDTO;
    /**
     * @deprecated
     */
    static fromArray(tbs: AppAccountRoleDTO[]): AppAccountRoleDTO[];
}
export { AppAccountRoleDTO };
