/**
 * @author luotao 2017-12-08
 */
import { IdNameCodeNoteStatusDTO } from "../../index";
import { StatusEnum } from "../../../enum/index";
import { ExtMetaDTO } from "./ExtMetaDTO";
/**
 * 应用
 * @backend ytd.iam.admin.dto.AppDetailDto
 */
declare class AppDTO extends IdNameCodeNoteStatusDTO {
    static readonly className: string;
    icon: string;
    protocol: string;
    callUrl: string;
    userExp: string;
    extExp: string;
    extMeta: Array<ExtMetaDTO>;
    /** 标题 */
    title: string;
    /** 图标 */
    image: string;
    /** 版本 */
    releaseVersion: string;
    /** 说明 */
    releaseNote: string;
    constructor(dto?: {
        id?: string | null;
        name?: string | null;
        code?: string | null;
        note?: string | null;
        status?: StatusEnum | null;
        icon?: string | null;
        protocol?: string | null;
        callUrl?: string | null;
        extExp?: string | null;
        userExp?: string | null;
        extMeta?: Array<ExtMetaDTO> | null;
        title?: string | null;
        image?: string | null;
        releaseVersion?: string | null;
        releaseNote?: string | null;
    } | null);
}
export { AppDTO };
