/**
 * @author luotao 2017-12-16
 */
import { IdDTO } from "../../index";
/**
 * 领域权限
 * @backend ytd.iam.admin.dto.DomainPopedomDto
 */
declare class DomainPopedomDTO extends IdDTO {
    static readonly className: string;
    /** 角色ID */
    roleId: string;
    domain: string;
    constructor(dto?: {
        id?: string | null;
        roleId?: string | null;
        domain?: string | null;
    } | null);
    /**
     * @deprecated
     */
    static from(tb: DomainPopedomDTO | null): DomainPopedomDTO;
    /**
     * @deprecated
     */
    static fromArray(tbs: DomainPopedomDTO[]): DomainPopedomDTO[];
}
export { DomainPopedomDTO };
