import { StatusEnum } from "../../../enum/index";
import { MenuDTO } from "./MenuDTO";
/**
 * 菜单权限
 * @backend ytd.iam.admin.dto.MenuPopedomDto
 */
declare class MenuPopedomDTO extends MenuDTO {
    static readonly className: string;
    /** 允许读 */
    read: boolean;
    /** 允许写 */
    write: boolean;
    /** 角色ID */
    roleId: string;
    /** 菜单ID */
    menuId: string;
    /** 允许访问 */
    allow: boolean;
    /** 下级菜单 */
    child: Array<MenuPopedomDTO>;
    constructor(dto?: {
        id?: string | null;
        name?: string | null;
        code?: string | null;
        note?: string | null;
        status?: StatusEnum | null;
        url?: string | null;
        order?: number | null;
        parentId?: string | null;
        appId?: string | null;
        icon?: string | null;
        read?: boolean | null;
        write?: boolean | null;
        roleId?: string | null;
        menuId?: string | null;
        allow?: boolean | null;
        child?: Array<MenuPopedomDTO> | null;
    } | null);
}
export { MenuPopedomDTO };
