/**
 * @author luotao 2018-09-10
 */
import { StatusEnum } from "../../../enum/index";
import { IdNameCodeStatusDTO } from "../../framework/IdNameCodeStatusDTO";
/**
 * 组织机构
 * @backend ytd.iam.admin.dto.OrgDto
 */
declare class OrgDTO extends IdNameCodeStatusDTO {
    static readonly className: string;
    childs: Array<OrgDTO>;
    constructor(dto?: {
        id?: string | null;
        name?: string | null;
        code?: string | null;
        status?: StatusEnum | null;
        childs?: Array<OrgDTO> | null;
    } | null);
}
export { OrgDTO };
