/**
 * @author luotao 2017-12-11
 */
import { RoleTypeEnum, StatusEnum } from "../../../enum/index";
import { IdNameCodeNoteStatusDTO } from "../../index";
/**
 * 角色
 * @backend ytd.iam.admin.dto.RoleDto
 */
declare class RoleDTO extends IdNameCodeNoteStatusDTO {
    static readonly className: string;
    /** 应用ID */
    appId: string;
    /** 是否是管理员角色 */
    admin: boolean;
    /** 角色类型 */
    type: RoleTypeEnum;
    constructor(dto?: {
        id?: string | null;
        name?: string | null;
        code?: string | null;
        note?: string | null;
        status?: StatusEnum | null;
        appId?: string | null;
        admin?: boolean | null;
        type?: RoleTypeEnum | null;
    } | null);
}
export { RoleDTO };
