/**
 * @author luotao 2018-05-24
 */
import { AppAccountDTO, PageDTO } from "../../index";
/**
 * 流程实例
 * @backend ytd.iam.workflow.dto.SelectedAppAccountDto
 */
declare class SelectedAppAccountDTO {
    static readonly className: string;
    /**
     * 账户列表
     */
    accounts: PageDTO<AppAccountDTO>;
    /**
     * 默认选择账户
     */
    selected: AppAccountDTO;
    constructor(dto?: {
        accounts?: PageDTO<AppAccountDTO> | null;
        selected?: AppAccountDTO | null;
    } | null);
}
export { SelectedAppAccountDTO };
