/**
 * @author luotao 2017-03-29
 */
import { IdNameDTO } from "../../index";
/**
 * @backend ytd.pdnms.gis.dto.GeoAttribute
 */
declare class GeoAttributeDTO extends IdNameDTO {
    static readonly className: string;
    /** 表名 */
    tableName: string;
    layerName: string;
    /** 工程ID */
    projectId: string;
    /** 工程阶段 */
    stage: string;
    constructor(dto?: {
        id?: string | null;
        name?: string | null;
        tableName?: string | null;
        layerName?: string | null;
        projectId?: string | null;
        stage?: string | null;
    } | null);
}
export { GeoAttributeDTO };
