/**
 * @author luotao 2018-07-26
 */
import { IdNameCodeNoteStatusDTO } from "../../dto/index";
import { StatusEnum } from "../../enum/index";
/**
 * @see ytd.framework.models.mongo.PcrmsResModel
 */
declare class PcrmsResModelMO extends IdNameCodeNoteStatusDTO {
    static readonly className: string;
    /** 拼音 */
    pinyin: string;
    markId: string;
    scope: string;
    pcrmsResId: Array<string>;
    constructor(dto?: {
        id?: string | null;
        name?: string | null;
        code?: string | null;
        note?: string | null;
        status?: StatusEnum | null;
        pinyin?: string | null;
        markId?: string | null;
        scope?: string | null;
        pcrmsResId?: Array<string> | null;
    } | null);
}
export { PcrmsResModelMO };
