/**
 * @author luotao 2017-12-11
 */
import { WorkflowDTO } from "../../../dto/index";
import { IRO } from "../../IRO";
/**
 * 添加流程
 * @backend ytd.iam.workflow.param.CreateWorkflowParam
 */
declare class AddWorkflowRO implements IRO {
    name: string;
    /**
     * 标签
     */
    tag: string;
    /**
     * 地址
     */
    url: string;
    /**
     * 备注
     */
    notes: string;
    rules: Array<WorkflowDTO.Rule>;
    constructor(name: string, tag: string, url: string, notes: string, rules?: Array<WorkflowDTO.Rule>);
}
export { AddWorkflowRO };
