/**
 * @author luotao 2017-12-11
 */
import { NameStatusRO } from "../../framework/NameStatusRO";
import { WorkflowDTO } from "../../../dto/index";
/**
 * 编辑流程
 * @backend ytd.iam.workflow.param.UpdateWorkflowParam
 */
declare class UpdateWorkflowRO extends NameStatusRO {
    /**
     * 备注
     */
    notes: string;
    /**
     * 标签
     */
    tag: string;
    /**
     * 地址
     */
    url: string;
    /**
     * 点
     */
    nodes: Array<WorkflowDTO.NodeDTO>;
    /**
     * 线
     */
    edges: Array<WorkflowDTO.EdgeDTO>;
    rules: Array<WorkflowDTO.Rule>;
    constructor(name: string, status: number, notes: string, tag: string, url: string, nodes: Array<WorkflowDTO.NodeDTO>, edges: Array<WorkflowDTO.EdgeDTO>, rules: Array<WorkflowDTO.Rule>);
}
export { UpdateWorkflowRO };
