/**
 * @author luotao 2018-07-05
 */
import { HttpClient } from "../../HttpClient";
import { IService } from "../../IService";
/**
 * 账户
 * @backend ytd.iam.admin.api.AccountService
 */
declare class AccountService implements IService {
    httpClient: HttpClient;
    constructor(httpClient: HttpClient);
    /**
     * 解锁账户
     * @backend ytd.iam.admin.api.AccountService#unlockAccount
     * @param accountId 账户ID
     * @returns {Promise<boolean>}
     */
    unlockAccount(accountId: string): Promise<boolean>;
}
export { AccountService };
