/**
 * @author luotao 2017-12-11
 */
import { HttpClient } from "../../HttpClient";
import { StartupDTO } from "../../../dto/index";
import { IService } from "../../IService";
/**
 * 公共
 * @backend ytd.iam.admin.api.CommonService
 */
declare class CommonService implements IService {
    httpClient: HttpClient;
    constructor(httpClient: HttpClient);
    /**
     * 启动应用
     * @backend ytd.iam.admin.api.CommonService#startup
     *
     * @param token
     * @param url 请求地址；不同的应用启动的接口地址可能会有变化，需要可以配置；
     * @returns {Promise<StartupDTO>}
     */
    startup(token: string, url?: string): Promise<StartupDTO>;
}
export { CommonService };
