/**
 * @author luotao 2018-07-06
 */
import { HttpClient } from "../../HttpClient";
import { IService } from "../../IService";
/**
 * 启动
 * @backend ytd.iam.admin.api.StartupService
 */
declare class StartService implements IService {
    httpClient: HttpClient;
    constructor(httpClient: HttpClient);
    /**
     * 刷新 TOKEN
     * @backend ytd.iam.admin.api.StartupService#exchangeToken
     * @returns {Promise<string>}
     */
    refreshToken(): Promise<string>;
}
export { StartService };
