/**
 * @author luotao 2017-12-08
 */
import { IdNameDTO } from "./IdNameDTO";
/**
 * @backend ytd.framework.base.Named
 */
declare class NameDTO extends IdNameDTO {
    static readonly className: string;
    type: number;
    fullName: string;
    constructor(dto?: {
        id?: string | null;
        name?: string | null;
        type?: number | null;
        fullName?: string | null;
    } | null);
    /**
     * @deprecated
     */
    static from(tb: NameDTO | null): NameDTO;
    /**
     * @deprecated
     */
    static fromArray(tbs: NameDTO[]): NameDTO[];
}
export { NameDTO };
