/**
 * @author luotao 2017-12-08
 */
import { ErrorData } from "./ErrorData";
/**
 * 后端请求返回结果
 * @backend ytd.framework.dto.RestResult
 */
export declare class RestResultDTO<T> {
    static readonly className: string;
    /** 请求是否成功 */
    success: boolean;
    /** 请求成功时返回的数据对象 */
    data: T;
    /** 请求失败时返回的错误消息 */
    error: ErrorData;
    constructor(dto?: {
        success?: boolean | null;
        data?: T | null;
        error?: ErrorData | null;
    } | null);
}
