/**
 * @author luotao 2017-12-16
 */
import { IdDTO } from "../../index";
import { ActionDTO } from "./ActionDTO";
/**
 * 操作权限
 * @backend ytd.iam.admin.dto.ActionPopedomDto
 */
declare class ActionPopedomDTO extends IdDTO {
    static readonly className: string;
    /** 角色ID */
    roleId: string;
    /** 操作 */
    action: ActionDTO;
    /** 授权 */
    allow: boolean;
    constructor(dto?: {
        id?: string | null;
        roleId?: string | null;
        action?: ActionDTO | null;
        allow?: boolean | null;
    } | null);
    /**
     * @deprecated
     */
    static from(tb: ActionPopedomDTO | null): ActionPopedomDTO;
    /**
     * @deprecated
     */
    static fromArray(tbs: ActionPopedomDTO[]): ActionPopedomDTO[];
}
export { ActionPopedomDTO };
