/**
 * @author luotao 2018-07-13
 */
/**
 * 应用账户配置
 * @backend ytd.iam.admin.dto.AppAccountProfile
 */
declare class AppAccountProfileDTO {
    static readonly className: string;
    /** 配置的KEY */
    key: string;
    /** 配置的值 (JSON字符串) */
    value: string;
    /** 更新时间 */
    updateTs: number;
    /** 工作空间 */
    workspace: string;
    constructor(dto?: {
        key?: string | null;
        value?: string | null;
        updateTs?: number | null;
        workspace?: string | null;
    } | null);
}
export { AppAccountProfileDTO };
