/**
 * @author luotao 2017-12-08
 */
import { IdDTO } from "../../index";
/**
 * 安全问题
 * @backend ytd.iam.admin.dto.SecurityDto
 */
declare class SecurityQuestionDTO extends IdDTO {
    static readonly className: string;
    /** 问题 */
    question: string;
    /** 答案 */
    answer: string;
    constructor(dto?: {
        id?: string | null;
        question?: string | null;
        answer?: string | null;
    } | null);
    /**
     * @deprecated
     */
    static from(tb: SecurityQuestionDTO | null): SecurityQuestionDTO;
    /**
     * @deprecated
     */
    static fromArray(tbs: SecurityQuestionDTO[]): SecurityQuestionDTO[];
}
export { SecurityQuestionDTO };
