/**
 * @author luotao 2018-07-26
 */
import { StatusEnum } from "../../../enum/index";
import { PcrmsResModelMO } from "../../framework/PcrmsResModelMO";
/**
 * 图元
 * @backend ytd.pndms.graph.model.Element
 */
declare class ElementMO extends PcrmsResModelMO {
    static readonly className: string;
    graphId: string;
    label: string;
    resourceId: string;
    admin: boolean;
    constructor(dto?: {
        id?: string | null;
        name?: string | null;
        code?: string | null;
        note?: string | null;
        status?: StatusEnum | null;
        pinyin?: string | null;
        markId?: string | null;
        scope?: string | null;
        pcrmsResId?: Array<string> | null;
        graphId?: string | null;
        label?: string | null;
        resourceId?: string | null;
        admin?: boolean | null;
    } | null);
}
export { ElementMO };
