/**
 * @author luotao 2017-12-11
 */
import { NameCodeNoteRO } from "../../index";
import { RoleTypeEnum } from "../../../enum/index";
/**
 * 保存角色
 * @backend ytd.iam.admin.param.AddRoleParam
 */
declare class SaveRoleRO extends NameCodeNoteRO {
    /**
     * 应用ID
     */
    appId: string;
    /**
     * 是否是系统角色
     */
    admin: boolean;
    /**
     * 角色类型
     */
    type: RoleTypeEnum;
    constructor(name: string, code: string, note: string, appId: string, admin: boolean, type: RoleTypeEnum);
}
export { SaveRoleRO };
