/**
 * @author luotao 2017-12-11
 */
import { WorkflowDTO } from "../../../dto/index";
import { IRO } from "../../IRO";
/**
 * 添加线
 * @backend ytd.iam.workflow.param.CreateEdgeParam
 */
declare class AddEdgeRO implements IRO {
    /**
     * 标签
     */
    label: string;
    /**
     * 操作
     */
    action: string;
    start: string;
    end: string;
    notify: WorkflowDTO.Notify;
    rules: Array<WorkflowDTO.Rule>;
    constructor(label: string, action: string, start: string, end: string, notify: WorkflowDTO.Notify, rules: Array<WorkflowDTO.Rule>);
}
export { AddEdgeRO };
