/**
 * @author luotao 2017-12-11
 */
import { IRO } from "../../IRO";
import { WorkflowDTO } from "../../../dto/index";
/**
 * 编辑点
 * @backend ytd.iam.workflow.param.UpdateNodeParam
 */
declare class UpdateNodeRO implements IRO {
    name: string;
    /**
     * 参与者
     */
    participant: WorkflowDTO.Participant;
    /**
     * 坐标
     */
    coordinate: WorkflowDTO.Coordinate;
    rules: Array<WorkflowDTO.Rule>;
    constructor(name: string, participant: WorkflowDTO.Participant, coordinate: WorkflowDTO.Coordinate, rules: Array<WorkflowDTO.Rule>);
}
export { UpdateNodeRO };
