/**
 * @author luotao 2018-09-28
 */
import { IRO } from "../../IRO";
/**
 *
 * @backend ytd.pdnms.gis.param.GeomParam
 */
declare class GeomRO implements IRO {
    id: string;
    name: string;
    tableName: string;
    geom: string;
    resourceId: string;
    resourceType: number;
    minzoom: number;
    maxzoom: number;
    scene: number;
    styles: Array<GemoRO.Item>;
}
declare namespace GemoRO {
    class Item {
        key: string;
        value: string;
    }
}
export { GeomRO };
