/**
 * @author luotao 2018-09-10
 */
import { OrgDTO } from "../../../dto/index";
import { HttpClient } from "../../HttpClient";
import { IService } from "../../IService";
/**
 * 组织机构
 * @backend ytd.iam.admin.api.OrgService
 */
declare class OrgService implements IService {
    httpClient: HttpClient;
    constructor(httpClient: HttpClient);
    /**
     * 列表查询组织机构
     * @backend ytd.iam.admin.api.OrgService#findAllAsTree
     */
    listOrg(): Promise<Array<OrgDTO>>;
}
export { OrgService };
