/**
 * @author luotao 2018-07-26
 */
import { AuthService } from "../../AuthService";
import { HttpClient } from "../../HttpClient";
import { IService } from "../../IService";
/**
 * 发布订阅
 * @backend ytd.pndms.pubsub.api.PubSubService
 */
declare class PubsubService implements IService {
    httpClient: HttpClient;
    authService: AuthService;
    constructor(httpClient: HttpClient, authService: AuthService);
    /**
     * 订阅频道
     * @param id 频道
     */
    subscribe(id: string): Promise<string>;
    /**
     * 取消订阅频道
     * @param id 频道
     */
    unsubscribe(id: string): Promise<string>;
}
export { PubsubService };
